package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频设备对象 video_info
 *
 * @author ruoyi
 * @date 2024-07-15
 */
public class VideoInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String sn;

    /** 所在网关 */
    @Excel(name = "所在网关")
    private String gateway;

    /** 摄像头索引 */
    @Excel(name = "摄像头索引")
    private String cameraIndex;

    /** 视频索引 */
    @Excel(name = "视频索引")
    private String videoIndex;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 在飞机的索引(飞机独有) */
    @Excel(name = "在飞机的索引(飞机独有)")
    private String flyIndex;

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    @Excel(name = "业务名称")
    private String businessName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSn(String sn)
    {
        this.sn = sn;
    }

    public String getSn()
    {
        return sn;
    }
    public void setGateway(String gateway)
    {
        this.gateway = gateway;
    }

    public String getGateway()
    {
        return gateway;
    }
    public void setCameraIndex(String cameraIndex)
    {
        this.cameraIndex = cameraIndex;
    }

    public String getCameraIndex()
    {
        return cameraIndex;
    }
    public void setVideoIndex(String videoIndex)
    {
        this.videoIndex = videoIndex;
    }

    public String getVideoIndex()
    {
        return videoIndex;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType()
    {
        return deviceType;
    }
    public void setFlyIndex(String flyIndex)
    {
        this.flyIndex = flyIndex;
    }

    public String getFlyIndex()
    {
        return flyIndex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sn", getSn())
            .append("gateway", getGateway())
            .append("cameraIndex", getCameraIndex())
            .append("videoIndex", getVideoIndex())
            .append("type", getType())
            .append("deviceType", getDeviceType())
            .append("flyIndex", getFlyIndex())
            .toString();
    }
}
